<?php
if ( function_exists('register_sidebar') ) {
register_sidebar(array('name'=>'Sidebar',
'before_widget' => '<div class="widgetobj">',
'after_widget' => '</div>',
'before_title' => '<div class="widgettitle">',
'after_title' => '</div>',));
}

//get admin's date of register
$zenverse_global_blogsince = get_option('zenverse_global_blogsince');
if ($zenverse_global_blogsince=='' || !is_numeric($zenverse_global_blogsince) || strlen($zenverse_global_blogsince)!=4){
$zv_get_admin_year = mysql_query("SELECT user_registered FROM $wpdb->users WHERE ID=1");
$zv_admin_year = mysql_fetch_row($zv_get_admin_year);
update_option("zenverse_global_blogsince", substr($zv_admin_year[0],0,4));
}

/*Start of Theme Options*/
$lunated_categories_obj = get_categories('hide_empty=0');
$lunated_categories = array();
$lunated_categories[] = '';
foreach ($lunated_categories_obj as $lunated_cat) {
$lunated_categories[$lunated_cat->cat_ID] = $lunated_cat->cat_name;
}

$themename = "Lunated";
$shortname = "lunated";

$lunated_wp28_bug_msg = '';
$lunated_wp28_featured_cat = get_option($shortname.'_featured_cat');
if (get_bloginfo('version') == '2.8') {
$lunated_wp28_bug_msg = '<script type="text/javascript">
<!--
function lunated_entercatid() {
document.getElementById(\'div2of_'.$shortname.'_featured_cat\').innerHTML = \'<input type="text" id="'.$shortname.'_featured_cat" name="'.$shortname.'_featured_cat" value="'.$lunated_wp28_featured_cat.'" style="border:1px solid blue;width:240px" />\';

document.getElementById(\'div1of_'.$shortname.'_featured_cat\').innerHTML = \'\';
}
//-->
</script>
<div style="padding:5px;border:1px solid #cccccc;">
<u>What?</u><br />
The category list above is empty? <a target="_blank" href="http://zenverse.net/fix-get_categories-problem-in-wordpress-2-8/">Learn more about this bug in WP 2.8 and how to fix it</a>.

<br /><br /><u>Temporary Solution</u>
<br />If you know the category id, <a onclick="lunated_entercatid()">click here and enter it above</a>.</span>
<br />If you do not know the category id, <a target="_blank" href="categories.php">go to Categories page</a> and place your mouse over the category to see its ID in the URL, then <a onclick="lunated_entercatid()">enter the ID above</a>.

<br /><br />------------------------<br />
The Last Saved Featured Category ID is = <span style="font-size:13px">'.$lunated_wp28_featured_cat.'</span>
<br />-------------------------

</div>';
}

$options = array (

array( "name" => "Welcome to Lunated Theme Options","type" => "title"),
array( "type" => "closetitle"),
array( "type" => "open"),
array( "type" => "info"),
array( "type" => "close"),

array( "name" => "Look & Feel Setting","type" => "title"),
array( "type" => "closetitle"),
array( "type" => "open"),
array( "name" => "Main Font to Use?",
	"desc" => "Choose the font you want to use in your blog. Calibri is nicer but more risky because not all computers have it.",
	"id" => $shortname."_mainfont",
	"type" => "select",
	"std" => "0",
	"options" => array(0=>"Lucida Sans Unicode - Default","Calibri (More risky)","Arial","Verdana")),
array( "name" => "Font Size?",
	"desc" => "If current font size is considered small for you, choose the second option (bigger by 1 pixel).",
	"id" => $shortname."_fontsize",
	"type" => "select",
	"std" => "0",
	"options" => array(0=>"Default","Bigger by 1 pixel")),
array( "name" => "Disable the gradient on post excerpt?",
	"desc" => "If you noticed, there is a gradient on all post excerpt. Check this box to disable it.",
	"id" => $shortname."_grad_disable",
	"type" => "checkbox",
	"std" => ""),
array( "type" => "close"),

array( "name" => "Logo Settings","type" => "title"),
array( "type" => "closetitle"),
array( "type" => "open"),
array( "name" => "Logo Options",
	"desc" => "Customise your blog logo",
	"id" => $shortname."_logo",
	"type" => "select",
	"std" => "0",
	"options" => array(0=>"Text Logo - Use Default Blog Settings","Custom Image - Use setting below")),
array( "name" => "Custom Logo",
	"desc" => "If you choose Custom Image as your logo, please state the image's URL.",
	"id" => $shortname."_customlogo",
	"type" => "text",
	"std" => ""),
array( "type" => "close"),



array( "name" => "Featured Content","type" => "title"),
array( "type" => "closetitle"),
array( "type" => "open"),
array( "name" => "Disable Featured Content?",
	"desc" => "Featured Content will be displayed at the top of blog index.<br />It is an <b>image slideshow</b> that uses your <b>Post Image</b>.",
	"id" => $shortname."_featured_disable",
	"type" => "checkbox",
	"std" => "false"),
array( "name" => "Featured Category",
	"desc" => "Blog posts in this category <b>that has a Post Image</b> will be displayed in the Featured slideshow.$lunated_wp28_bug_msg",
	"id" => $shortname."_featured_cat",
	"type" => "select",
	"options" => $lunated_categories,
	"std" => ""),
array( "name" => "Number of Featured Posts",
	"desc" => "Limit the number of featured posts being displayed.",
	"id" => $shortname."_featured_limit",
	"type" => "select",
	"options" => array(1=>'1','2','3','4','5','6','7','8','9','10'),
	"std" => "6"),
array( "type" => "close"),



array( "name" => "Misc. Settings","type" => "title"),
array( "type" => "closetitle"),
array( "type" => "open"),
array(	"name" => "Optional Meta Tags",
	"desc" => "You might need to put a meta tag on top every page. Eg: to verify your site in Google Webmaster Tools.<br />Paste the whole line here including &lt;meta ...../>",
	"id" => "zenverse_global_meta",
	"std" => "",
	"type" => "textarea2"),		
array( "name" => "Disable Tabbed Menu?",
	"desc" => "Check this checkbox to <b>hide</b> the tabbed menu that shows Categories, Recent Comments and Recent Posts.",
	"id" => $shortname."_tab_disable",
	"type" => "checkbox",
	"std" => ""),
array( "name" => "Disable Social Bookmark in Post?",
	"desc" => "Check this checkbox to <b>hide</b> the 6 social bookmark button below your blog post.<br />The 6 social bookmark buttons include RSS, Twitter, Digg, StumbleUpon, Technorati & Delicious.",
	"id" => $shortname."_socialbookmark_disable",
	"type" => "checkbox",
	"std" => ""),
array( "name" => "Enable Social Bookmark in Page?",
	"desc" => "Check this checkbox to <b>show</b> the 6 social bookmark button in your PAGE.",
	"id" => $shortname."_socialbookmark_page_enable",
	"type" => "checkbox",
	"std" => ""),
array( "name" => "Disable Related Posts?",
	"desc" => "Check this checkbox to <b>hide</b> the related posts (if any) displayed under your blog post.<br />You might want to disable this if you already have a similar plugin. But please note that this feature would display your post thumbnail, which makes your page looks better.",
	"id" => $shortname."_relatedpost_disable",
	"type" => "checkbox",
	"std" => ""),
array( "type" => "close"),


array( "name" => "Twitter and Flickr Settings","type" => "title"),
array( "type" => "closetitle"),
array( "type" => "open"),	
array( "name" => "Your Twitter Name",
	"desc" => "This will put a link to your Twitter profile at the sidebar. Leave it blank to disable.",
	"id" => "zenverse_global_twitter",
	"type" => "text",
	"std" => ""),
array( "name" => "No. of Latest Tweets to be displayed at footer (middle)",
	"desc" => "Choose \"0\" to disable.<br />If disabled, \"subscribe to updates\" will be shown at footer.",
	"id" => $shortname."_latest_tweet",
	"type" => "select",
	"options" => array(0=>'0','1','2','3','4','5'),	
	"std" => ""),
array( "name" => "Enable Flickr Photo?",
	"desc" => "Make sure you have installed the <a href=\"http://wordpress.org/extend/plugins/flickr-rss/\">flickrRSS</a> plugin if you checked this checkbox. <br />It is recommended that you use the default settings at the \"HTML Builder\" section.",
	"id" => $shortname."_flickr_enable",
	"type" => "checkbox",	
	"std" => ""),
array( "name" => "Flickr Widget Position?",
	"desc" => "Choose the position you like :)",
	"id" => $shortname."_flickr_pos",
	"type" => "select",	
	"options" => array(0=>'After content (above footer)','At footer\'s right hand corner (replaces the search form)'),
	"std" => ""),	
array( "type" => "close"),
	
	
	
array( "name" => "Subscription Settings","type" => "title"),
array( "type" => "closetitle"),
array( "type" => "open"),
array(	"name" => "Hide Subscribe to Updates menu?",
	"desc" => "Check this checkbox to <b>hide</b> the subscription menu displayed at the sidebar.",
	"id" => $shortname."_subs_disable",
	"std" => "",
	"type" => "checkbox"),
array(	"name" => "Feedburner RSS URL",
	"desc" => "Enter your Feedburner URL here.",
	"id" => "zenverse_global_feedburner_url",
	"std" => "",
	"type" => "text"),
array(	"name" => "Replace the default feed url with Feedburner RSS URL",
	"desc" => "Replace all the wordpress feed url with your Feedburner RSS url.",
	"id" => $shortname."_wpfeed_dump",
	"std" => "",
	"type" => "checkbox"),
array(	"name" => "Feedburner ID",
	"desc" => "Enter your Feedburner ID here. We will do the email subscription form for you.",
	"id" => "zenverse_global_feedburner_id",
	"std" => "",
	"type" => "text"),
array(	"name" => "Show Off FeedCount",
	"desc" => "Paste here the HTML codes from Feedburner > Publicize > FeedCount<br />Leave this empty to hide your FeedCount.",
	"id" => $shortname."_feedcount",
	"std" => "",
	"type" => "textarea2"),
array( "type" => "close"),



array( "name" => "Google Adsense & Analytics Settings","type" => "title"),
array( "type" => "closetitle"),
array( "type" => "open"),
//array( "name" => "Google Adsense Pub-ID",
//	"desc" => "Your Google Adsense publisher ID without 'pub-'",
//	"id" => "zenverse_global_adsense_id",
//	"type" => "text",
//	"std" => ""),
array( "name" => "Codes for Google Ads at header",
	"desc" => "Codes for google ads at header (at the same row as the logo). Leave empty to disable.<br /><a target=\"_blank\" href=\"http://zenverse.net/wp-content/uploads/2009/09/get-adsense-codes.php?theme=lunated\">Get adsense codes for this theme with recommended colors!</a>",
	"id" => $shortname."_adsense_header",
	"type" => "textarea",
	"std" => ""),
array( "name" => "Codes for Google Ads after blog post",
	"desc" => "Codes for google ads after blog post. Leave empty to disable.<br /><a target=\"_blank\" href=\"http://zenverse.net/wp-content/uploads/2009/09/get-adsense-codes.php?theme=lunated\">Get adsense codes for this theme with recommended colors!</a>",
	"id" => $shortname."_adsense_afterpost",
	"type" => "textarea",
	"std" => ""),
array(	"name" => "Google Analytics",
	"desc" => "Please paste your Google Analytics (or other) tracking code here.",
	"id" => "zenverse_global_google_analytics",
	"std" => "",
	"type" => "textarea"),		
array( "type" => "close"),



array( "name" => "Sponsors Settings","type" => "title"),
array( "type" => "closetitle"),
array( "type" => "open"),
array( "name" => "Enable Sponsor<br />Advertisements",
	"desc" => "Check this checkbox to <b>show</b> the advertisement boxes at the sidebar.<br />You can ignore settings below if you disabled Sponsor Advertisements.",
	"id" => $shortname."_sponsor_enable",
	"type" => "checkbox",
	"std" => ""),
array( "name" => "Advertising Info & Price",
	"desc" => "The URL to the page with information about your site's advertisements (price, form, etc).<br />
  This URL will be used when no advertisement is associated with the slot.",
	"id" => $shortname."_sponsor_info",
	"type" => "text",
	"std" => ""),
array( "name" => "Slot 1",
	"id" => $shortname."_sponsor1",
	"type" => "adsslot",
	"std" => ""),
array( "name" => "Slot 2",
	"id" => $shortname."_sponsor2",
	"type" => "adsslot",
	"std" => ""),
array( "name" => "Slot 3",
	"id" => $shortname."_sponsor3",
	"type" => "adsslot",
	"std" => ""),
array( "name" => "Slot 4",
	"id" => $shortname."_sponsor4",
	"type" => "adsslot",
	"std" => ""),
array( "name" => "Replace the built-in sponsor area with your own HTML codes<p><small>You must disable the sponsor advertisement above for this to work</small></p>",
	"desc" => "The HTML codes you get from other advertising websites, eg: buysellads.com",
	"id" => $shortname."_custom_sponsor",
	"type" => "textarea",
	"std" => ""),
array( "type" => "close"),



array( "name" => "Post Thumbnail & Post Image Settings","type" => "title"),
array( "type" => "closetitle"),
array( "type" => "open"),
array( "name" => "Disable Post Thumbnail?",
	"desc" => "More informations at \"What you must know about this theme?\" above.",
	"id" => $shortname."_postthumbnail_disable",
	"type" => "checkbox",
	"std" => "false"),
array( "name" => "Link to Default Post Thumbnail",
	"desc" => "If your post does not have a thumbnail, the image you entered above will be used. (125 x 125 pixels)<br />
  <span style=\"color:#2c53a3\">Please note that if this field is empty, <a href=\"".get_bloginfo('template_directory')."/images/blank.jpg\" target=\"_blank\">this image</a> will be used instead.",
	"id" => $shortname."_postthumbnail_default",
	"type" => "text",
	"std" => ""),
array( "name" => "Alternate Thumbnail Position?",
	"desc" => "Change the position of post thumbnail on every loop. (left & right)",
	"id" => $shortname."_postthumbnail_alt",
	"type" => "checkbox",
	"std" => "false"),
array( "name" => "Disable Post Image?",
	"desc" => "More informations at \"What you must know about this theme?\" above.",
	"id" => $shortname."_postimage_disable",
	"type" => "checkbox",
	"std" => "false"),
array( "type" => "close"),

);



function mytheme_add_admin() {
 
global $themename, $shortname, $options;
 
if ( $_GET['page'] == basename(__FILE__) ) {
 
if ( 'save' == $_REQUEST['action'] ) {
 
foreach ($options as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
if( isset( $_REQUEST[ $value['id'].'_1']) ) { update_option( $value['id'].'_1', $_REQUEST[ $value['id'].'_1' ] ); }
if( isset( $_REQUEST[ $value['id'].'_2']) ) { update_option( $value['id'].'_2', $_REQUEST[ $value['id'].'_2' ] ); }
if( isset( $_REQUEST[ $value['id'].'_3']) ) { update_option( $value['id'].'_3', $_REQUEST[ $value['id'].'_3' ] ); }

foreach ($options as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
if( isset( $_REQUEST[ $value['id'].'_1' ] ) ) { update_option( $value['id'].'_1', $_REQUEST[ $value['id'].'_1' ]  ); } else { delete_option( $value['id'].'_1' ); }
if( isset( $_REQUEST[ $value['id'].'_2' ] ) ) { update_option( $value['id'].'_2', $_REQUEST[ $value['id'].'_2' ]  ); } else { delete_option( $value['id'].'_2' ); }
if( isset( $_REQUEST[ $value['id'].'_3' ] ) ) { update_option( $value['id'].'_3', $_REQUEST[ $value['id'].'_3' ]  ); } else { delete_option( $value['id'].'_3' ); }

}
header("Location: themes.php?page=functions.php&saved=true");
die;
 
} else if( 'reset' == $_REQUEST['action'] ) {
 
foreach ($options as $value) {
delete_option( $value['id'] );
delete_option( $value['id'].'_1' );
delete_option( $value['id'].'_2' );
delete_option( $value['id'].'_3' );
}
header("Location: themes.php?page=functions.php&reset=true");
die;
 
}
}
 
add_theme_page($themename." Options", "".$themename." Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
 
}
 
function mytheme_admin() {
 
global $themename, $shortname, $options;
 
if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
 
?>
<div class="wrap">
<h2><?php echo $themename; ?> Settings</h2>
 
<form method="post">
 
<?php foreach ($options as $value) {
switch ( $value['type'] ) {
case "info":
echo '<script type="text/javascript">
<!--
function zv_showhide() {
var getdivthemeinfo = document.getElementById(\'zv_themeinfo\');
if (getdivthemeinfo.style.display != \'block\') {
  getdivthemeinfo.style.display = \'block\'
  document.getElementById(\'zv_showhide\').innerHTML = \'Hide\'
} else {
  getdivthemeinfo.style.display = \'none\'
  document.getElementById(\'zv_showhide\').innerHTML = \'Show\'
}
}
//-->
</script>
<tr class="form-field form-required"><td><b>Theme Info & Support </b>[<a onclick="zv_showhide()"><span id="zv_showhide">Show</span></a>]

<div style="margin-top:10px;display:none;" id="zv_themeinfo">
<ul style="list-style:decimal;padding-left:20px">
<li><span style="color:#1e4385;font-weight:bold">What is <b>Post Thumbnail</b> and <b>Post Image</b>?</span>
<br /><span style="font-size:11px">Post Thumbnail is an image of 125 x 125 pixels located beside every blog posts at your blog index.
<br />Post Image is an image of 550 x 190 pixels placed below the blog title in a single blog post page.
</span></li>
<li><span style="color:#1e4385;font-weight:bold">How to add <b>Post Thumbnail</b> and <b>Post Image</b> for my blog post?</span>
<span style="font-size:11px">
<br />When you create/edit a blog post, scroll down to the "Lunated Post Thumbnail & Post Image".
<br />Follow the instruction given.
</span></li>
<li><span style="color:#1e4385;font-weight:bold">I am having problem with this theme!</span>
<br /><span style="font-size:11px">Just leave a comment at <a target="_blank" href="http://zenverse.net/lunated-theme/">here</a>. I will look into the matter if possible.
</span></li>

</ul>
</div>

</td></tr>';
break;

case "closetitle":
echo '</table>';
break;

case "open":
?>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="background-color:#f4f4f4; padding:10px;">
 
<?php break;
 
case "close":
?>
 
</table><br />
 
<?php break;
 
case "title":
?>
<table class="widefat" width="100%" border="0" cellpadding="0" cellspacing="0"><thead><tr>
<th colspan="2"><?php echo $value['name']; ?></th>
</tr></thead>
 
<?php break;
case 'adsslot':
?>

<tr class="form-field form-required">
<td width="30%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="70%">

<small>URL to the website</small><br />
<input style="width:400px;margin-bottom:9px;" name="<?php echo $value['id']; ?>_1" id="<?php echo $value['id'].'_1'; ?>" type="text" value="<?php if ( get_option($value['id'].'_1' ) != "") { echo stripslashes(get_option($value['id'].'_1' )); } else { echo $value['std']; } ?>" />

<br /><small>URL to the Image (125 x 125 pixels)</small><br />
<input style="width:400px;margin-bottom:9px;" name="<?php echo $value['id']; ?>_2" id="<?php echo $value['id'].'_2'; ?>" type="text" value="<?php if ( get_option($value['id'].'_2' ) != "") { echo stripslashes(get_option($value['id'].'_2' )); } else { echo $value['std']; } ?>" />

<br /><small>Image Alt Tag</small><br />
<input style="width:400px;" name="<?php echo $value['id']; ?>_3" id="<?php echo $value['id'].'_3'; ?>" type="text" value="<?php if ( get_option($value['id'].'_3' ) != "") { echo stripslashes(get_option($value['id'].'_3' )); } else { echo $value['std']; } ?>" />

</td>
</tr>
<tr><td></td></tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

<?php break;
case 'text':
?>

<tr class="form-field form-required">
<td width="30%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="70%"><input style="width:400px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option($value['id'] ) != '') { echo stripslashes(get_option($value['id'])); } else { echo $value['std']; } ?>" /></td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;
case 'textarea2':
?>
 
<tr class="form-field form-required">
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><textarea name="<?php echo $value['id']; ?>" style="width:400px; height:50px;" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_option($value['id'] ) != "") { echo stripslashes(get_option($value['id'] )); } else { echo $value['std']; } ?></textarea></td>
 
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;
case 'textarea':
?>
 
<tr class="form-field form-required">
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><textarea name="<?php echo $value['id']; ?>" style="width:400px; height:110px;" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_option($value['id'] ) != "") { echo stripslashes(get_option($value['id'] )); } else { echo $value['std']; } ?></textarea></td>
 
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;
 
case 'select':
?>
<tr class="form-field form-required">
<td width="30%" rowspan="2" valign="middle"><strong><?php echo $value['name'];?></strong></td>
<td width="70%"><div id="div1of_<?php echo $value['id']; ?>">
<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">

<?php
if ( isset($value['options'][get_option($value['id'])])) { 
$usestd = false;
} else {
$usestd = true;
}
?>

<?php foreach ($value['options'] as $opid => $option) { ?><option value="<?php echo $opid; ?>"<?php 

if ($usestd) {
if ($opid == $value['std']) { echo ' selected="selected"'; }
} else {
if ( get_option($value['id']) == $opid) { echo ' selected="selected"'; }
}
?>
><?php echo $option; ?></option><?php } ?></select></div>
<div id="div2of_<?php echo $value['id']; ?>"></div>
</td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;
 
case "checkbox":
?>
<tr>
<td width="30%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="70%"><?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
</td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php break;
 
}
}
?>
 
<p class="submit" style="display:inline">
<input name="save" type="submit" value="Save changes" />
<input type="hidden" name="action" value="save" />
</form><form style="display:inline" method="post">
<p class="submit" style="display:inline">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
 
<?php
}

add_action('admin_menu', 'mytheme_add_admin');

function valid_url($str) {
return ( ! preg_match('/^(http|https|ftp):\/\/([A-Z0-9][A-Z0-9_-]*(?:\.[A-Z0-9][A-Z0-9_-]*)+):?(\d+)?\/?/i', $str)) ? FALSE : TRUE;
}

/*Custom Field Images*/
function image_attachment($key,$return=null) {
global $post;
$custom_field = get_post_meta($post->ID, $key, true);
if($custom_field) {
  if ($return) { return $custom_field;} else {
  echo $custom_field;
  }
} else {
return;
}
}

/*Fix Excerpts*/

function wp_improved_trim_excerpt($text) {

	global $post;

	if ( '' == $text ) {

		$text = get_the_content('');

		$text = apply_filters('the_content', $text);

		$text = str_replace(']]>', ']]&gt;', $text);

		$text = strip_tags($text);

		$excerpt_length = 50;

		$words = explode(' ', $text, $excerpt_length + 1);

		if (count($words)> $excerpt_length) {

			array_pop($words);

			array_push($words, '...');

			$text = implode(' ', $words);

		}

	}

	return $text;

}

remove_filter('get_the_excerpt', 'wp_trim_excerpt');
add_filter('get_the_excerpt', 'wp_improved_trim_excerpt');
/*End of Fix Excerpts*/

/*custom field at add/edit post */
$lunated_custom_field['thumbnail'] = array(
"type" => "text",
"name" => "thumbnail",
"label" => "Post Thumbnail",
"std" => "",
"desc" => "Upload & paste the direct url to the Post Thumbnail here.<br />Size : 125 x 125 px",
"help" => "",
);
$lunated_custom_field['image'] = array(
"type" => "text",
"name" => "image",
"label" => "Post Image",
"std" => "",
"desc" => "Upload & paste the direct url to the Post Image here.<br />Size : 550 x 190 px",
"help" => "",
);
	
function lunated_customfields_content() {
	global $post,$lunated_custom_field;
	echo '<table width="100%" cellpadding="0" cellspacing="0">'."\n";
	foreach ($lunated_custom_field as $single_customfield) {
		$customfieldvalue = get_post_meta($post->ID,$single_customfield["name"],true);
		if ($customfieldvalue == '' || !isset($customfieldvalue)) {
			$customfieldvalue = $single_customfield['std'];
		}
		echo '<tr>';
		echo '<th style="text-align: right;padding-top:10px;padding-right:10px;"><label>'.$single_customfield['label'].':</label>';
    if ($single_customfield["help"] != '') {
    echo '<p><small>'.$single_customfield["help"].'</small></p>';
    }
		echo '</th><td style="padding-top:10px;"><input size="40" type="'.$single_customfield['type'].'" value="'.$customfieldvalue.'" name="lunated_'.$single_customfield["name"].'" onblur="if(this.value!=\'\')document.getElementById(\'preview_of_'.$single_customfield["name"].'\').innerHTML=\'<center><img src=\\\'\'+this.value+\'\\\' width=\\\'70\\\' height=\\\'70\\\' style=\\\'border:1px solid #dddddd;padding:2px;\\\' /></center>\';" id="lunated_customfield_'.$single_customfield['name'].'" /></td>'."\n";
		echo '</tr>';
		echo '<tr><td style="border-bottom:1px dotted #aaaaaa;padding-left:5px"><div id="preview_of_'.$single_customfield["name"].'">';
    if ($customfieldvalue!='') { echo '<center><img src="'.$customfieldvalue.'" width="70" height="70" style="border:1px solid #dddddd;padding:2px;" /></center>'; }
    echo '</div></td><td style="border-bottom:1px dotted #aaaaaa;padding:5px"><small>'.$single_customfield['desc'].'</small></td></tr>';				
	}
	echo '</table>';
}

function lunated_customfields_insert($postID) {
	global $lunated_custom_field;
	foreach ($lunated_custom_field as $single_customfield) {
		$var = "lunated_".$single_customfield["name"];
		if (isset($_POST[$var])) {		
			if( get_post_meta( $postID, $single_customfield["name"] ) == "" )
				add_post_meta($postID, $single_customfield["name"], $_POST[$var], true );
			elseif($_POST[$var] != get_post_meta($postID, $single_customfield["name"], true))
				update_post_meta($postID, $single_customfield["name"], $_POST[$var]);
			elseif($_POST[$var] == "")
				delete_post_meta($postID, $single_customfield["name"], get_post_meta($postID, $single_customfield["name"], true));
		}
	}
}

function lunated_meta_box() {
	if ( function_exists('add_meta_box') ) {
		add_meta_box('lunated-settings',$GLOBALS['themename'].' Post Thumbnail & Post Image','lunated_customfields_content','post','normal');
		add_meta_box('lunated-settings',$GLOBALS['themename'].' Post Thumbnail & Post Image','lunated_customfields_content','page','normal');
	}
}

add_action('admin_menu', 'lunated_meta_box');
add_action('wp_insert_post', 'lunated_customfields_insert');






function lunated_get_related_posts() {
	global $wpdb, $post,$table_prefix;
	
	if ( $exclude != '' ) {
		$q = "SELECT tt.term_id FROM ". $table_prefix ."term_taxonomy tt, " . $table_prefix . "term_relationships tr WHERE tt.taxonomy = 'category' AND tt.term_taxonomy_id = tr.term_taxonomy_id AND tr.object_id = $post->ID";

		$cats = $wpdb->get_results($q);
		
		foreach(($cats) as $cat) {
			if (in_array($cat->term_id, $exclude) != false){
				return;
			}
		}
	}
		
	if(!$post->ID){return;}
	$now = current_time('mysql', 1);
	$tags = wp_get_post_tags($post->ID);

	$taglist = "'" . $tags[0]->term_id. "'";
	
	$tagcount = count($tags);
	if ($tagcount > 1) {
		for ($i = 1; $i <= $tagcount; $i++) {
			$taglist = $taglist . ", '" . $tags[$i]->term_id . "'";
		}
	}
		
	if ($limit) {
		$limitclause = "LIMIT $limit";
	}	else {
		$limitclause = "LIMIT 9";
	}
	
	$q = "SELECT p.ID, p.post_title, p.post_date, p.comment_count, count(t_r.object_id) as cnt FROM $wpdb->term_taxonomy t_t, $wpdb->term_relationships t_r, $wpdb->posts p WHERE t_t.taxonomy ='post_tag' AND t_t.term_taxonomy_id = t_r.term_taxonomy_id AND t_r.object_id  = p.ID AND (t_t.term_id IN ($taglist)) AND p.ID != $post->ID AND p.post_status = 'publish' AND p.post_date_gmt < '$now' GROUP BY t_r.object_id ORDER BY cnt DESC, p.post_date_gmt DESC $limitclause;";

	$related_posts = $wpdb->get_results($q);
	$output = "";
	
	if (!$related_posts){
		return;
	}
	
$lunated_postthumbnail_disable = get_option('lunated_postthumbnail_disable');
if ($lunated_postthumbnail_disable != 'true') {
// enabled

$loopid = 1;
	foreach ($related_posts as $related_post ){
	 /* post thumbnail */
$rs_image_key = 'thumbnail';
$thereisimage = get_post_meta($related_post->ID, $rs_image_key, true);

$output .= '<div class="relatedblock">';

if($thereisimage) {
$output .= '<a href="'.get_permalink($related_post->ID).'"><img alt="Post thumbnail of '.wptexturize($related_post->post_title).'" title="'.wptexturize($related_post->post_title).'" src="'.$thereisimage.'" /></a>';
} else {
$lunated_postthumbnail_default = get_option('lunated_postthumbnail_default');
if ($lunated_postthumbnail_default != '') {

$output .= '<a href="'.get_permalink($related_post->ID).'"><img alt="Post thumbnail of '.wptexturize($related_post->post_title).'" title="'.wptexturize($related_post->post_title).'" src="'.$lunated_postthumbnail_default.'" /></a>';

} else {
$output .= '<a href="'.get_permalink($related_post->ID).'"><img alt="Post thumbnail of '.wptexturize($related_post->post_title).'" title="'.wptexturize($related_post->post_title).'" src="'.get_bloginfo('template_directory').'/images/blank.jpg" /></a>';

}
}
	 $output .= '<div class="details"><a href="'.get_permalink($related_post->ID).'">'.wptexturize($related_post->post_title).'</a></div></div>';
	 $loopid++;
	 if ($loopid==4 || $loopid==7) { $output .= '<div class="clear"></div>'; }
  }

	$output = '<center><h2 class="singleposttitle">Related Posts</h2></center>'.$output.'<div class="clear"></div>
<div class="singlesep2"></div>';
} else {
	
	foreach ($related_posts as $related_post ){
		$output .= '<li>';
		
		$show_date = true;
		if ($show_date){
			$dateformat = get_option('date_format');
			$output .= '<span class="date">'.mysql2date($dateformat, $related_post->post_date) . "</span> &nbsp;-&nbsp; ";
		}
		
		$output .=  '<a href="'.get_permalink($related_post->ID).'" title="'.wptexturize($related_post->post_title).'">'.wptexturize($related_post->post_title).'';
		
		if ($show_comments_count){
			$output .=  " (" . $related_post->comment_count . ")";
		}
		
		$output .=  '</a></li>';
	}
	$output = '<ul class="lunaul">'.$output.'</ul>';
	$output = '<center><h2 class="singleposttitle">Related Posts</h2></center>'.$output.'<div class="clear"></div>
<div class="singlesep2"></div>';
} // end $lunated_postthumbnail_disable

	return $output;
}

?>