<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<?php 
$zenverse_global_meta = get_option('zenverse_global_meta');
if ($zenverse_global_meta != '') { echo stripslashes($zenverse_global_meta); }
?>

<title><?php 
if (is_home ()) { 
echo get_bloginfo('name').' - '.get_bloginfo('description'); 
} else {
echo get_bloginfo('name');
wp_title('-', true, 'left');
}
?></title>

<!--PageNavi Stylesheet-->
<link rel="stylesheet" type="text/css" media="screen" href="<?php bloginfo('template_url');?>/pagenavi-css.css" />
<!--End of PageNavi Stylesheet-->
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<script type="text/javascript" src="<?php bloginfo('template_url');?>/js/tabber.js"></script>
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/tabber.css" type="text/css" media="screen" />
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/zenverse_gallery.js"></script>

<!--[if IE]>
<![endif]-->

<?php
$lunated_extra_css = '';

/* font-family */
$lunated_mainfont = get_option('lunated_mainfont');
if (!$lunated_mainfont || $lunated_mainfont != '1') { ?>
<link rel="stylesheet" type="text/css" media="screen" href="<?php bloginfo('template_url');?>/dumpcalibri.css" />
<?php } 

if ($lunated_mainfont && $lunated_mainfont == '2') {
$lunated_extra_css .= 'html, body {font-family:arial}'."\n";
}
if ($lunated_mainfont && $lunated_mainfont == '3') {
$lunated_extra_css .= 'html, body {font-family:verdana}'."\n";
}

$lunated_grad_disable = get_option('lunated_grad_disable');
if ($lunated_grad_disable == 'true') {
$lunated_extra_css .= '.grad,.grad2 {display:none}'."\n";
}

/* font-size */
$lunated_fontsize = get_option('lunated_fontsize');
if ($lunated_fontsize == 1) {
  if ($lunated_mainfont == '1') {
    echo '<link rel="stylesheet" type="text/css" media="screen" href="'.get_bloginfo('template_url').'/biggerfont_1.css" />';
  } else {
    echo '<link rel="stylesheet" type="text/css" media="screen" href="'.get_bloginfo('template_url').'/biggerfont_0.css" />';
  }
}

/* extra css */
if ($lunated_extra_css != '') {
echo '<style type="text/css">
'.$lunated_extra_css.'
</style>';
}
?>

<!--WP Head-->
<?php wp_head(); ?>
<!--End of WP Head-->

</head>
<body>

<?php
$lunated_logo = get_option('lunated_logo');
$lunated_customlogo = get_option('lunated_customlogo');
?>

<div id="page">

<div id="header">

<?php
if ($lunated_logo == "1" && $lunated_customlogo != '') { ?>

<div class="logo_img">
<h1><a href="<?php echo get_option('home'); ?>/" title="<?php htmlspecialchars(bloginfo('name')); ?>"><img alt="<?php htmlspecialchars(bloginfo('name')); ?>" title="<?php htmlspecialchars(bloginfo('name')); ?>" src="<?php echo $lunated_customlogo; ?>" /></a></h1>
</div>	

<?php } else { ?>

<div class="logo_img">
<a href="<?php echo get_option('home'); ?>/"><h1><?php bloginfo('name'); ?></h1></a>
			<h2><?php bloginfo('description'); ?></h2>
		</div>	
<?php } ?>


<div id="topsearch"><div class="topsearchbg"></div><div class="topsearchfake"><form action="<?php bloginfo('url'); ?>/" style="display:inline"><input type="text" value="<?php the_search_query(); ?>" name="s" class="topsearchtext" /><input class="topsearchsubmit" type="image" value="" src="<?php bloginfo('template_directory'); ?>/images/searchsubmit.gif" /></form></div></div><!--/topsearch-->

<?php
$zenverse_global_feedburner_url = get_option('zenverse_global_feedburner_url');
$lunated_wpfeed_dump = get_option('lunated_wpfeed_dump');
if ( $zenverse_global_feedburner_url != '' && $lunated_wpfeed_dump == 'true') { 
$lunated_rss_link = $zenverse_global_feedburner_url;
} else { 
$lunated_rss_link = get_bloginfo('rss2_url');
}
?>

<div id="rsstop"><a href="<?php echo $lunated_rss_link; ?>"><img src="<?php bloginfo('template_directory'); ?>/images/rsstop.gif" /></a></div>


<?php
$lunated_adsense_header = get_option('lunated_adsense_header');
if ($lunated_adsense_header != ''){ 
?>
<div class="adsense-header">
<?php echo stripslashes($lunated_adsense_header); ?>
</div>
<?php } ?>


<div id="navbar">
<ul>
		<?php if (is_home()) { ?>
		<li class="current_page_item">
		<?php }else{ ?>
		<li>
		<?php } ?>
		<a href="<?php echo get_option('home'); ?>" title="Home">Home</a>
		</li>
<?php wp_list_pages('sort_column=menu_order&depth=1&title_li=');?>
</ul>
</div><!--/navbar-->

</div><!--/header-->